<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>Hackspace.gr: Budget</title>
  <link rel="stylesheet" href="../../media/css/app.css" type="text/css">
  <script type="text/javascript" src="https://www.google.com/jsapi"></script>
  <script type="text/javascript">
    google.load("visualization", "1", {packages:["corechart"]});
    google.setOnLoadCallback(drawCharts);

    function drawCharts() {

        // ===========
        // = Balance =
        // ===========
        var data = new google.visualization.DataTable();
        data.addColumn('string', 'November');
        data.addColumn('number', 'Income 525€');
        data.addColumn('number', 'Expenses 671.64€');
        data.addRows([
            ['2020', 525, 671.64],
        ]);

        var options = {
          // title: 'Hackerspace.gr Budget',
            axisTitlesPosition: 'none',
            legend: { position: 'top' },
            hAxis: { viewWindow: { min: 0 } },
            vAxis: { textPosition: 'none' },
            chartArea: { left: 10, top: 30, width: "100%", height: "60%"},
            fontSize: 16
        };

        var chart = new google.visualization.BarChart(document.getElementById('balance_div'));
        chart.draw(data, options);

        // ============
        // = Expenses =
        // ============
        var data = new google.visualization.DataTable();
        data.addColumn('string', 'Item');
        data.addColumn('number', 'Cost');
        data.addRows([
            ['Rent 280.00€', 280.00],
            ['Logistics 0.0€', 0.0],
            ['Taxes 130.74€', 130.74],
            ['Bank Fees 0.00€', 0.0],
            ['Electricity 159.91€', 159.91],
            ['Internet 98.5€', 98.5],
            ['ΕΥΔΑΠ 0.0€', 0.0],
            ['Hetzner 2.49€', 2.49],
        ]);

        var options = {
          // title: 'Hackerspace.gr Budget',
            chartArea: { left: 0, top: 5, width: "100%", height: "95%"},
            fontSize: 16
        };

        var chart = new google.visualization.PieChart(document.getElementById('expenses_div'));
        chart.draw(data, options);


        // ============
        // = Income =
        // ============
        var data = new google.visualization.DataTable();
        data.addColumn('string', 'Item');
        data.addColumn('number', 'Cost');
        data.addRows([
            ['Membership Donations 401€', 401],
            ['Donations 124€', 124],
        ]);

        var options = {
          // title: 'Hackerspace.gr Budget',
            chartArea: { left: 0, top: 5, width: "100%", height: "95%"},
            fontSize: 16
        };

        var chart = new google.visualization.PieChart(document.getElementById('income_div'));
        chart.draw(data, options);
    }
  </script>
</head>
<body>
  <div id="container">
    <header role="banner" class="text">
      <h1><a href="/"><img src="../../media/img/hackerspace.svg" width="70" height="70" alt="Hackerspace.gr"></a> The Cost of Hacking</h1>
    </header>

    <div id="main" role="main" class="text">
      <article>
        <header>
          <h2>Available Balance in 13/12/2020, 146.86€</h2>
        </header>
      </article>
      <article>
        <header>
          <h2>Balance November 2020</h2>
        </header>
        <div id="balance_div" class="graph" style="width: 670px; height: 150px;"></div>
      </article>
      <article>
        <header>
          <h2>Expenses November 2020</h2>
        </header>
        <div id="expenses_div" class="graph" style="width: 670px; height: 300px;"></div>
      </article>
      <article>
        <header>
          <h2>Income November 2020</h2>
        </header>
        <div id="income_div" class="graph" style="width: 670px; height: 300px;"></div>
      </article>

      <footer id="credits" role="contentinfo" class="text">
        <hr>
        <p>
          <a href="http://hackerspace.gr">hackerspace.gr</a> -
          Source code at <a href="https://gitlab.com/zisi/budget" target="_blank">gitlab</a>
        </p>
      </footer>
    </div>
  </div>
</body>
</html>
